# simple-gitv
a simple, libre web-based Git project viewer

## Why?
I tried lots of other options, and none of them were what I wanted. So I decided to write my own.

## Features (& Ideology)
- No JavaScript. None at all. I don't even know JavaScript.
- More generally, no client-side code execution.
- Easy to setup and run!
- (Aims to be) user-friendly and intuitive.
- Easy to write a new theme, or at least change the colors.

## Limitations

### By Design
- simple-gitv is not a platform for code development, like GitHub, GitLab, or Gitea. It's just a website to view information about Git projects, like GitWeb or GitList.
- No telemetry, vendor lock-in, JavaScript, or proprietary nonsense.

### Because I Haven't Implemented Something Yet
- Users cannot view the project at a certain commit.
- Tags are listed but effectively meaningless for the above reason.
- No blame, history, etc. support yet.
- Lacking instructions for other webservers like nginx and lighttpd.
- Currently only supports the active branch of a repo properly. (Not yet suitable for repos with multiple branches.)
- Probably lots of other missing features.

## Dependencies

### Mandatory Dependencies
- A webserver (httpd)
- PHP
- Git

### Optional Dependencies
- pandoc

## Installing
Before installing:

1. Register your domain name.
2. Set up DNS to point your domain to your IP address.
3. Set up port forwarding to forward incoming TCP connections on ports 80 and 443 to your server.
4. Install [dependencies](#dependencies)

Then follow the instructions in docs/install.md to install.

## Modifying
See docs/modifying.md.

## License
simple-gitv - a simple, libre web-based Git project viewer

Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

## Credits
Thanks to [Klaus Silveira](http://www.klaussilveira.com/) who wrote [GitList](https://gitlist.org/) and the [Gitea](https://gitea.io/) Authors. The codebase for this project is primarily independent, but I drew inspiration from those projects when designing the project.

Thanks to [Marmoy](https://stackoverflow.com/users/584405/marmoy) on Stack Overflow ([x](https://stackoverflow.com/questions/26734933/how-to-set-up-git-over-http)) and Klaus Silveira/GitList for unknowingly helping me configure Apache.
