# Modifying simple-gitv

See [code-overview.md](code-overview.md) to understand the organization of the codebase and get started.

## License and Providing Source Code

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Per the AGPLv3: "Notwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software."

Simply put, if you use this program on a site which other people will access, you should include a link to the source code of the version running on your site.

(You are not obligated to let me know, but please do! I may want to incorporate your changes into my version.)

### Exceptions

#### Configuration Files

Modified configuration files do not need to be provided to users, as long as the available source is sufficient such that a user should reasonably be able to create their own configuration files, e.g., from templates or directions in the documentation.

If you modify the program sufficiently such that requires a modified or additional configuration file to those provided in the templates of the previous version, please include a usable template.

The goal is to include sufficient instructions for running the software on **a** server, not to include instructions for running the software on **your** server specifically.

#### Themes

If you use a modified theme and have not otherwise modified the program, you are not obligated to publish your own version of the program as a whole, only the modified theme.

As the modified theme in CSS form will be served to clients who connect to your site, it is not necessary to publish the theme separately; however, to ensure that other users may use the themes, you must either declare the theme to be in the public domain or license the theme under a [GPL-compatible free software license](https://www.gnu.org/licenses/license-list.html#GPLCompatibleLicenses). Recommended licenses:

- [Creative Commons CC0 1.0 Universal](https://creativecommons.org/publicdomain/zero/1.0/legalcode)
- [Unlicense](https://unlicense.org/)
- [DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE, version 2](http://www.wtfpl.net/txt/copying/)

If the theme is generated by a program, you must publish instructions for recreating the theme in addition to the theme itself.

### How to Publish the Source Code

If you are running an unmodified version of simple-gitv, you do not have to do anything. src/parts/footer.php already includes a link to the project.

If you are running a modified version of simple-gitv, the best way to publish your changes is to host the code on simple-gitv (or another Git hosting service). The easiest way to do this is to commit changes to the code when you make them, and clone your own repo. For example, if your repositories are in /srv/git/ and your running code is in /var/www/git/ then you can run:

`git clone /srv/git/simple-gitv /var/www/git`

Change the link in src/parts/footer.php to point to your version of the program.
