<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// get commit ID (strip project/commit), then strip any trailing slashes
$commit = before_first_slash(after_first_slash(after_first_slash($url)));

include "src/parts/header.php";
include "src/parts/description.php";
include "src/parts/menu.php";

// get commit stats
$commit_stats = explode("\n",trim(shell_exec("cd $git_dir && git show --stat $commit")));

// display commit table
echo "\t\t<pre>\n";
foreach($commit_stats as $stat) {
	echo htmlspecialchars($stat)."\n";
}
echo "\t\t</pre>\n\n";

// display changed files
$files_changed = explode("\n",trim(shell_exec("cd $git_dir && git show --format=tformat: --name-only $commit")));
foreach ($files_changed as $file) {
	echo "\t\t<div class=\"box\">\n";
	echo "\t\t\t<p>$file</p>\n";
	echo "\t\t\t<hr/>\n";
	$changes = explode("\n",trim(shell_exec("cd $git_dir && git show $commit -- $file")));
	echo "\t\t\t<pre>\n";
	foreach ($changes as $change) {
		echo htmlspecialchars($change)."\n";
	}
	echo "\t\t\t</pre>\n";
	echo "\t\t</div>\n";
	echo "\t\t<br/>\n\n";
}

include "src/parts/footer.php";
?>
