<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

include "src/parts/header.php";
include "src/parts/description.php";
include "src/parts/menu.php";

// get commits
$commits = explode("\n",trim(shell_exec("cd $git_dir && TZ=UTC git log --date=format-local:'%Y-%m-%d %H:%M:%S' --pretty=format:\"<a href=\\\"/$project/commit/%H\\\" title=\\\"Commit %h: %s\\\">%h</a> - %an, %ad : %s\"")));

// display commit table
foreach($commits as $commit) {
	if (!empty($commit)) {
		echo "\t\t<p>$commit</p>\n";
	}
}

echo "\t\t<hr/>\n\n";

include "src/parts/footer.php";

?>
