<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// get subdirectories in specified repos directory
$dirs = scandir($repos);

// remove all dirs that are not git repos
$dir_length = sizeof($dirs);
$git_dirs = array();
for ($i = 0; $i < $dir_length; $i++) {
	// I could just start indexing from 2 instead
	if ($dirs[$i] === "." || $dirs[$i] === "..") {
		unset($dirs[$i]);
	} else {
		$git_dir = get_git_dir("$repos/$dirs[$i]");
		if (! $git_dir) {
			unset ($dirs[$i]);
		} else {
			$git_dirs[$dirs[$i]] = $git_dir;
		}
	}
}

// include header
include "src/parts/header.php";

// domain link
echo "\t\t<h2><a href=\"/\">$title</a></h2>\n";

// list git repos
echo "\t\t<div class=\"box\">\n";
echo "\t\t<h1>Repositories</h1>\n";
echo "\t\t<hr/>\n";
foreach ($dirs as $dir) {
	echo "\t\t\t<h3><a href=\"/$dir\">$dir</a></h3>\n";
	$git_dir = $git_dirs[$dir];
	$description = get_repo_description($git_dir);
	echo "\t\t\t<p>$description</p>\n";
	echo "\t\t\t<br/>\n";
}
echo "\t\t</div>\n";

// include footer
include "src/parts/footer.php";
?>
