<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// strip repo/tree/
$path = $url;
for ($i = 0; $i < 2; $i++) {
	$path = after_first_slash($path);
}

$branch = before_first_slash($path);
// strip branch name
$path = after_first_slash($path);

$name = after_last_slash($url);

// if no contents, it's not a valid URL
$files = list_files("$git_dir", "$path");
if (! $files) {
	include "src/errors/404.php";
	die();
}

include "src/parts/header.php";
include "src/parts/description.php";
include "src/parts/menu.php";
include "src/parts/table.php";
include "src/parts/footer.php";

?>
