<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// page name / repo name / path / to / current
echo "\t\t<h2>\n";
echo "\t\t\t<a href=\"/\">$title</a> / \n";
echo "\t\t\t<a href=\"/$project\">$project</a>";
if ($page_type === "tree" || $page_type === "blob") {
	echo " / \n";
	$path_before = "/";
	$path_remaining = strip_trailing_slash($path);
	while ($path_remaining !== $name) {
		$slash = strpos($path_remaining,"/");
		$this_tree = substr($path_remaining,0,$slash);
		echo "\t\t\t<a href=\"/$project/tree/$branch$path_before$this_tree\">$this_tree</a> / \n";
		$path_before = "$path_before$this_tree/";
		$path_remaining = substr($path_remaining,$slash+1);
	}
	echo "\t\t\t<a href=\"/$url\">$name</a>\n";
	echo "\t\t</h2>\n";
} else { // domain / repo name
	echo "\n\t\t</h2>\n";
}

// repo description
$description = get_repo_description($git_dir);
echo "\t\t<p>$description</p>\n";
echo "\t\t<br/>\n\n";
?>
