<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// create preview box
echo "\t\t<div class=\"box\">\n";

// filename on left, options on right
echo "\t\t\t<div>\n";
	echo "\t\t\t\t<p style=\"float: left;\"><b>$name</b></p>\n";
	echo "\t\t\t\t<p style=\"float: right;\"><a href=\"/$project/raw/$branch/$path\">Raw</a></p>\n";
echo "\t\t\t</div>\n";
echo "\t\t\t<div style=\"clear: both;\"></div>\n";

echo "\t\t\t<hr/>\n\n";

// this will output the raw data
$command = "cd $git_dir && git show --pretty=raw HEAD:$path";

// determine if file is text or binary
$file_info = exec("$command | file -");

if (strpos($file_info,"ASCII text") || strpos($file_info,"UTF-8 Unicode text") || strpos($file_info,"JSON data")) {
	// display data as text
	if (ends_with($path,".md") && exec("command -v pandoc")) {
		// run markdown through pandoc
		$file_data = explode("\n",trim(shell_exec("$command | pandoc")));
		foreach ($file_data as $line) {
			echo "\t\t\t$line\n";
		}
	} else {
		// output as plaintext
		$file_data = explode("\n",shell_exec("$command"));
		
		// output plaintext as pre
		echo "\t\t\t<pre>\n";
		foreach ($file_data as $line) {
			echo htmlspecialchars($line) . "\n";
		}
		echo "\t\t\t</pre>\n";
	}
} elseif (ends_with($path,".jpg") || ends_with($path,".jpeg") || ends_with($path,".png") || ends_with($path,".gif")) {
	// display image in img element
	echo "\t\t\t<img src=\"/$project/raw/$branch/$path\"/>\n";
} else {
	// other - do not try to output
	echo "\t\t\t<p>Unable to generate a preview. <a href=\"/$project/raw/$branch/$path\">Open raw</a>\n";
}

// close preview box
echo "\t\t</div>\n";
echo "\t\t<br/>\n";
?>
